package rocks.zipcode.learnerlab.Abstract_Classes;

import rocks.zipcode.learnerlab.Super_Classes.Person;

import java.util.List;

public class People <PersonType extends Person> {

    Iterable<PersonType> iterable;

    private List<PersonType> personList;

    public People(List<PersonType> personList) {
        this.personList = personList;
    }

    public void add(PersonType type) {
        personList.add(type);
    }

    public void remove(PersonType type) {
        personList.remove(type);
    }

    public Integer size() {
        return personList.size();
    }

    public void clear() {
        personList.clear();
    }

    public void addAll(Iterable<PersonType> types) {
        types.forEach(personList::add);
    }

    public PersonType findById(Long id) {
        return personList.stream().filter(personType -> personType.getId() == id).findAny().get();
    }

    public List<PersonType> findAll(){
        return personList;
    }
}